Debian Bug report logs - #702810
ITP: libmoox-struct-perl -- simple lightweight record-like structures making sounds like cows

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Mon, 11 Mar 2013 19:15:01 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libmoox-struct-perl/0.010-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#702810; Package wnpp. (Mon, 11 Mar 2013 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Mon, 11 Mar 2013 19:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmoox-struct-perl -- simple lightweight record-like structures making sounds like cows
Date: Mon, 11 Mar 2013 20:12:47 +0100
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : 1
  Version         : 0.010
  Upstream Author : Toby Inkster <tobyink@cpan.org>
* URL             : http://search.cpan.org/dist/MooX-Struct/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : simple lightweight record-like structures making sounds like cows

 MooX::Struct allows you to create cheap struct-like classes for your
 data using Moo.
 .
 While similar in spirit to MooseX::Struct and Class::Struct,
 MooX::Struct has a somewhat different usage pattern. Rather than
 providing you with a "struct" keyword which can be used to define
 structs, you define all the structs as part of the "use" statement.
 This means they happen at compile time.
 .
 A struct is just an "anonymous" Moo class. MooX::Struct creates this
 class for you, and installs a lexical alias for it in your namespace.
 Thus your module can create a "Point3D" struct, and some other module
 can too, and they won't interfere with each other. All struct classes
 inherit from MooX::Struct.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 12 Mar 2013 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Mon, 01 Apr 2013 13:03:30 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Mon, 01 Apr 2013 13:03:30 GMT) Full text and rfc822 format available.

Message #12 received at 702810-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 702810-close@bugs.debian.org
Subject: Bug#702810: fixed in libmoox-struct-perl 0.010-1
Date: Mon, 01 Apr 2013 13:00:08 +0000
Source: libmoox-struct-perl
Source-Version: 0.010-1

We believe that the bug you reported is fixed in the latest version of
libmoox-struct-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702810@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libmoox-struct-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 11 Mar 2013 23:19:18 +0100
Source: libmoox-struct-perl
Binary: libmoox-struct-perl
Architecture: source all
Version: 0.010-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libmoox-struct-perl - simple lightweight record-like structures making sounds like cows
Closes: 702810
Changes: 
 libmoox-struct-perl (0.010-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#702810.
Checksums-Sha1: 
 21bdd5dc9c62b72424d1e7641ee0404a21acd68e 2222 libmoox-struct-perl_0.010-1.dsc
 7d21e33cd3ac38c21a3f3743c5bc35bea1ae8c30 64357 libmoox-struct-perl_0.010.orig.tar.gz
 deecd56eb77b8dfcb0849d3d007d1223115ff6de 4332 libmoox-struct-perl_0.010-1.debian.tar.gz
 251de81a1d6a9c0a49ca9969917e2db3933275ae 27606 libmoox-struct-perl_0.010-1_all.deb
Checksums-Sha256: 
 f5b0d53fff21e982fe4362deb54a2295f15985e7d926645066d04d36b1a62681 2222 libmoox-struct-perl_0.010-1.dsc
 1a9af9f2959594dddba5839408d890ac8e55e1dc539aab77f94f84e83bddd50e 64357 libmoox-struct-perl_0.010.orig.tar.gz
 d613136a4284c9d572a19fcad300c461c192e34ef2b1270cfc11a1ccc54fe53e 4332 libmoox-struct-perl_0.010-1.debian.tar.gz
 6dcc6f5a32c7e2b7232e453733a58d9bdfdc7fae8d6bad5a1224a47f1515d891 27606 libmoox-struct-perl_0.010-1_all.deb
Files: 
 1292bd1cae94bc2b5303f82fc4b8d538 2222 perl optional libmoox-struct-perl_0.010-1.dsc
 47a749dd34db3673b38105562884ef17 64357 perl optional libmoox-struct-perl_0.010.orig.tar.gz
 d7459552e55742c086c5be300dcae69c 4332 perl optional libmoox-struct-perl_0.010-1.debian.tar.gz
 ce139c8a3ead56fad8fa114da7a83758 27606 perl optional libmoox-struct-perl_0.010-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRPlj8AAoJECx8MUbBoAEhLK8QAILaH7PNsFGsoGgMjIlAJYlq
jPwaA5z8+RyCQ5aptBBYLOW81i1vq8li0z6KjzfVLq/qo7dNeB1xYJHgMjy8OFB4
0XXSIwqitfcqR0paIIy7A+IRGNQGtbT2HU5ipW2imsgzanR+mytMgm9ZntSDdWqJ
mt4BI5IcQW5cq/hjwbqHCLdiybYhd0i6aoDvtFEPR2Ja358KRNwH1kEiXfYUVcWO
rO1a1TLEZGrt9r0R/ypu67rn0TGcGrutW9S3xZycyFtJjDElYRBIIMaKpg1xO471
k9XsVYB7jZED18E1NegfDeu9+HF/DzaykK4WofjB8RItDg+OmkOHqodQkNLTnsGt
ehRbtNiP6wdXIAZDOvXWnpmrVOXVomlr96bbEMO7PGWPIByOQtz84pjW8lgHGQgk
frbIx30qRHICFWEirE/uq6NornumMF4jg7Az8oZzQyEIVei/gTHJ7QrhCCt+mAKb
GjV0cGQ0UNc0tjSqxK0sxrMYl44h2g/Iy3rH3ip/YB1Hqb+4jms+udzkdlzSpxiH
kPTiPaNlyLW7fiC4bAR/Av2xEQWHntRmNVKzr8Wi+3OaUVz3whfO2+hv5h1DnXvq
8dTHQ0HMf9p//lVqx7tF/AXLnB/6gmzfVcisMYwfRNSosLLPzL5NqMFU/Eu+7Cgn
LtMIVW+7fuQE4PxT6+f1
=l009
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Apr 2013 07:26:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:13:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.